$infobar_height: 48px;
$infobar_bg_color: #F1E6D9;

.infobar {
	height: $infobar_height;
	display: inline-block;
	width: calc(100% - 16px);
	padding: 0 8px;

	&.info,
	&.question,
	&.warning,
	&.error {
		* { 
			color: lighten($fg_color, 10%) !important;
			
		}
		background-color: $infobar_bg_color;
		border-bottom: 1px solid darken($infobar_bg_color, 10%);

		// text-shadow: 0 1px darken($infobar_bg_color, 10%);

		span,p {
			margin:0;
			max-width: 80%;
			line-height: $infobar_height;
		}

		.icon {
			margin: 16px 6px;
		}

		svg {
			fill:$fg_color !important;
			> path, > g {fill:$fg_color !important;}
		}

		&:backdrop { text-shadow: none; }

		.button {
			margin: 6px 0;
			display: inline-block;
			vertical-align: bottom;
		}
	}

	&.error {
		background-color: $error_color;
		border-bottom: 1px solid darken($error_color, 10%);

	}
}
